> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyra.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Requests

> Retrieve timeoff requests for a workspace



## OpenAPI

````yaml get /staff/timeoff/{workspaceId}/requests
openapi: 3.0.3
info:
  title: Hyra API
  description: Hyra Monolythic API
  version: 2.0.0
servers:
  - url: https://api.hyra.io
security: []
paths:
  /staff/timeoff/{workspaceId}/requests:
    get:
      tags:
        - Staff
      description: Retrieve timeoff requests for a workspace
      parameters:
        - schema:
            type: number
          in: query
          name: page
          required: false
        - schema:
            type: string
          in: path
          name: workspaceId
          required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    _id:
                      type: string
                    end:
                      type: string
                      format: date-time
                    start:
                      type: string
                      format: date-time
                    type:
                      type: string
                    notes:
                      type: string
                    user:
                      type: string
                    createdAt:
                      type: string
                      format: date-time
                    status:
                      type: string
                      enum:
                        - pending
                        - approved
                        - denied
                        - cancelled
                  required:
                    - _id
                    - end
                    - start
                    - type
                    - notes
                    - user
                    - createdAt
                    - status
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````